org.springframework.data.util

## Interface ReflectionUtils.DescribedFieldFilter

All Superinterfaces:
  ReflectionUtils.FieldFilter

All Known Implementing Classes:
  ReflectionUtils.AnnotationFieldFilter

Enclosing class:
  ReflectionUtils

    public static interface ReflectionUtils.DescribedFieldFilter
    extends ReflectionUtils.FieldFilter

A `ReflectionUtils.FieldFilter` that has a description.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` Returns the description of the field filter.

### Methods inherited from interface org.springframework.util.ReflectionUtils.FieldFilter

`and, matches`

### Method Detail

#### getDescription

    String getDescription()

Returns the description of the field filter. Used in exceptions being thrown in case uniqueness shall be enforced on the field filter.

Returns: